Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.plugin.MajorPlugin.MorphAnalyzer.ChartMorphAnalyzer
Class PostProcessor

    java.lang.Object
      kr.ac.kaist.swrc.jhannanum.plugin.MajorPlugin.MorphAnalyzer.ChartMorphAnalyzer.PostProcessor

    public class PostProcessor

extends java.lang.Object

This class is for post processing of morphological analysis.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Field Summary
`private java.lang.String` | `A_` the triple character representation of '어'
`private java.lang.String` | `AR` the triple character representation of '아'
`private java.lang.String` | `DOB` the triple character representation of '돕'
`private java.lang.String` | `EU` the triple character representation of '으'
`private java.lang.String` | `GOB` the triple character representation of '곱'
`private java.lang.String` | `HA` the triple character representation of '하'
`private java.lang.String` | `NU` the triple character representation of '는다'
`private java.lang.String` | `PV` the triple character representation of 'ㅏㅑㅗ'
`private java.lang.String` | `SU` the triple character representation of '습니'
`private java.lang.String` | `XEU` the triple character representation of '끄뜨쓰크트'

Constructor Summary
`PostProcessor()` Constructor.

Method Summary
`SetOfSentences` | `doPostProcessing(SetOfSentences sos)` It does post processing of morphological analysis to deal with some exceptions.
`private boolean` | `isPV(char c)` Checks whether the specified character is one of 'ㅏ', 'ㅑ', 'ㅗ'.
`private boolean` | `isXEU(char c)` Checks whether the specified character is one of '끄', '뜨', '쓰', '크', '트'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HA

    private java.lang.String HA

  the triple character representation of '하'

### AR

    private java.lang.String AR

  the triple character representation of '아'

### A_

    private java.lang.String A_

  the triple character representation of '어'

### PV

    private java.lang.String PV

  the triple character representation of 'ㅏㅑㅗ'

### XEU

    private java.lang.String XEU

  the triple character representation of '끄뜨쓰크트'

### DOB

    private java.lang.String DOB

  the triple character representation of '돕'

### GOB

    private java.lang.String GOB

  the triple character representation of '곱'

### EU

    private java.lang.String EU

  the triple character representation of '으'

### SU

    private java.lang.String SU

  the triple character representation of '습니'

### NU

    private java.lang.String NU

  the triple character representation of '는다'

Constructor Detail

### PostProcessor

    public PostProcessor()

  Constructor.

Method Detail

### doPostProcessing

    public SetOfSentences doPostProcessing(SetOfSentences sos)

  It does post processing of morphological analysis to deal with some exceptions.

  Parameters:
    `sos` - - the result of morphological analysis
  Returns:
    the result of morphological analysis with post processing

### isPV

    private boolean isPV(char c)

  Checks whether the specified character is one of 'ㅏ', 'ㅑ', 'ㅗ'.

  Parameters:
    `c` - - the character to check
  Returns:
    true: the character is one of 'ㅏ', 'ㅑ', 'ㅗ', false: not one of the characters

### isXEU

    private boolean isXEU(char c)

  Checks whether the specified character is one of '끄', '뜨', '쓰', '크', '트'.

  Parameters:
    `c` - - the character to check
  Returns:
    true: the character is one of '끄', '뜨', '쓰', '크', '트', false: not one of the characters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD